# HaruFont::getTextWidth

(PECL haru >= 0.0.1)

HaruFont::getTextWidth — Get the total width of the text, number of characters, number of words and number of spaces

### Description

HaruFont::getTextWidth ( string `$text` ) : array

Get the total width of the text, number of characters, number of words and number of spaces.

### Parameters

`text`

  The text to measure.

### Return Values

Returns the total width of the text, number of characters, number of words and number of spaces in the given text.

### Errors/Exceptions

Throws a HaruException on error.